
import SwiftUI

struct ContentView: View {
   @State private var boxScale: CGFloat = 1
   @State private var animate: Bool = false

   var body: some View {
      VStack {
         HStack {
            Rectangle()
               .fill(Color.blue)
               .frame(width: 50, height: 50)
               .scaleEffect(boxScale)
               .animation(Animation.easeOut, value: animate)
         }
         .frame(width: 250, height: 120)
         Button("With Animation") {
            self.boxScale = 2
            self.animate.toggle()
         }.padding()
         Button("Without Animation") {
            self.boxScale = 2
         }
         Button("Reset") {
            self.boxScale = 1
         }.padding(10)
      }.padding()
   }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
