
import SwiftUI

struct ContentView: View {
   @State private var roundCorners: Bool = false
   @State private var active: Bool = false

   var body: some View {
      VStack {
         HStack {
            Rectangle()
               .fill(Color.blue)
               .frame(width: 100, height: 100)
               .cornerRadius(roundCorners ? 50 : 0)
               .animation(active ? Animation.default.speed(0.1) : nil)
         }.frame(width: 250, height: 120)
         Button("Animate") {
            self.roundCorners.toggle()
            self.active.toggle()
         }
      }.padding()
   }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
